%define upstream_name Sereal
%define upstream_version 5.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %upstream_version
Release:    %mkrel 2
Summary:    Fast, compact, powerful binary (de-)serialization
# Makefile.PL defines LICENSE
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/Y/YV/YVES/%{upstream_name}-%{upstream_version}.tar.gz
BuildArch:  noarch

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sereal::Decoder) >= 5.4.0
BuildRequires: perl(Sereal::Encoder) >= 5.4.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warn)
BuildRequires: coreutils
BuildRequires: findutils
BuildRequires: make
BuildRequires: perl
# blib not used

# Devel::CheckLib not used

# File::Find not used
# File::Path not used
# File::Spec not used

# Run-time:

# Tests:
# Benchmark not used

# Time::HiRes not used

# Optional tests:

%description
Sereal is an efficient, compact-output, binary and feature-rich serialization
protocol. The Perl encoder is implemented as the Sereal::Encoder module, the
Perl decoder correspondingly as Sereal::Decoder. This Sereal module is a very
thin wrapper around both Sereal::Encoder and Sereal::Decoder. It depends on
both and loads both.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%install
%make_install

find %{buildroot} -name '*.packlist' -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 5.4.0-2.mga10
+ Revision: 2218656
- Mageia 10 Mass Rebuild

* Thu Aug 31 2023 daviddavid <daviddavid> 5.4.0-1.mga10
+ Revision: 1982807
- update to 5.004

* Wed Feb 08 2023 daviddavid <daviddavid> 5.3.0-1.mga9
+ Revision: 1939495
- new version: 5.003

* Fri Feb 03 2023 daviddavid <daviddavid> 5.2.0-1.mga9
+ Revision: 1937687
- new version: 5.002

* Tue Nov 08 2022 daviddavid <daviddavid> 5.1.0-1.mga9
+ Revision: 1904785
- new version: 5.001

* Tue Jun 14 2022 tv <tv> 4.23.0-1.mga9
+ Revision: 1864410
- update to 4.023

* Tue Mar 29 2022 umeabot <umeabot> 4.18.0-2.mga9
+ Revision: 1831103
- Mageia 9 Mass Rebuild

* Mon Aug 10 2020 daviddavid <daviddavid> 4.18.0-1.mga8
+ Revision: 1612615
- new version: 4.018

* Mon Jul 27 2020 daviddavid <daviddavid> 4.17.0-1.mga8
+ Revision: 1609259
- new version: 4.017
- new version: 4.015
- new version: 4.014

* Thu Jun 11 2020 daviddavid <daviddavid> 4.12.0-1.mga8
+ Revision: 1592443
- new version: 4.012

* Thu Feb 20 2020 umeabot <umeabot> 4.11.0-2.mga8
+ Revision: 1546285
- Mageia 8 Mass Rebuild

* Mon Feb 17 2020 daviddavid <daviddavid> 4.11.0-1.mga8
+ Revision: 1536972
- new version: 4.011

* Sat Feb 01 2020 daviddavid <daviddavid> 4.8.0-1.mga8
+ Revision: 1486262
- new version: 4.008

* Thu Apr 11 2019 tv <tv> 4.7.0-1.mga7
+ Revision: 1388285
- update to 4.007

* Tue Apr 09 2019 daviddavid <daviddavid> 4.6.0-1.mga7
+ Revision: 1387532
- new version: 4.006

* Thu Sep 20 2018 umeabot <umeabot> 4.5.0-2.mga7
+ Revision: 1285988
- Mageia 7 Mass Rebuild

* Thu Jan 25 2018 daviddavid <daviddavid> 4.5.0-1.mga7
+ Revision: 1197157
- new version: 4.005

* Thu Nov 16 2017 daviddavid <daviddavid> 4.4.0-1.mga7
+ Revision: 1177544
- new version: 4.004

* Tue Jul 18 2017 daviddavid <daviddavid> 3.15.0-1.mga7
+ Revision: 1124861
- new version: 3.015

* Sun Jun 19 2016 pterjan <pterjan> 3.14.0-2.mga6
+ Revision: 1033030
- Rebuild for perl 5.22.2

* Sun Apr 17 2016 daviddavid <daviddavid> 3.14.0-1.mga6
+ Revision: 1003153
- imported package perl-Sereal

